Subject: From or Reply-To address incorrect

From: Armand Doucette <[email-masked]>
Date: Tue, 8 Nov 1994 10:09:01 EST

My question/problem has to do with From and Reply-To addresses.  I'm running PINE 
version 3.89 on a VMS host(the Bourvine port) talking to an IMAP server on a UNIX box.  
When I compose a message, the From address is created using the username on the VMS 
host.  I'm told that PINE on UNIX works the same way.  If I do not modify the "user-domain" 
variable in the pine.conf file, then the address is repliable.  That is, the username and 
hostname for the From address are taken from the VMS client.

What I would like is for either the From address or a Reply-to address(this does not get 
created now) to be the address(username and hostname) of the account on the IMAP server.  
One other thing to note is that the usernames on the VMS "client" are not the same as the 
associated account on the IMAP server box.  For example, John Smith user may have an 
account on the VMS system with a username "smith" while on the IMAP server, his 
username is "john".

If I could get the From address or the Reply-to address to use the username on the server, I 
could modify the "user-domain" flag on the client so that the hostname is not used in the 
>From address which would result an appropriate reply address to the 
server(username@domain) via an MX record.

Any help you could offer would be much appreciated.  I would even consider altering the code 
if that's what must be done and if you could point me in the right direction.

Armand

International Software Group, Inc.
100 Fifth Avenue
Waltham, MA 02154